#include <iostream>
#include <math.h>
#include <stdio.h>
using namespace std;

int main(int argc, char** argv) {
	long long m,n,z=0;
	scanf("%lld %lld",&m,&n);
	long long a[m];
	for(long long i=0;i<m;i++){
		scanf("%lld",&a[i]);
	}
	for(long long i=0;i<n;i++){
		long long c,v;
		scanf("%lld %lld",&c,&v);
		z+=max((a[c-1]+a[v-1]),((-a[c-1])+(-a[v-1])));
	}
	cout<<z;
	return 0;
}